List Locations

Beta
GET/v1/operations/locations

This endpoint is idempotent. Learn more

Returns a paginated list of locations for the caller's account.

cursoroptional string

Query parameter: cursor for List Locations

limitoptional integer

Query parameter: limit for List Locations

qoptional string

Query parameter: q for List Locations

include[]optional arrayenumValues:parentchildren

Sub-objects to expand in the response. When omitted, sub-objects are returned as null.

objectstringenumValues:list

Object type for Location list

page_infoobject

Pagination metadata for Location list

next_cursorstringnullable

Cursor to fetch the next page, null if no more pages.

prev_cursorstringnullable

Cursor to fetch the previous page, null if on the first page.

has_next_pageboolean

Whether more results exist after this page.

has_prev_pageboolean

Whether results exist before this page.

dataarray of object

Array of Location resources in this page

idstring

Location ID.

objectstringenumValues:location

Resource type identifier.

namestring

Display name.

typestringenumValues:buildingsectionaisle

Location type code.

parentobjectExpandablenullable

Parent location. Null for top-level locations. Expandable.

idstring

Location ID.

objectstringenumValues:location

Resource type identifier.

namestring

Display name.

typestringenumValues:buildingsectionaisle

Location type code.

parentobjectnullable

Parent location. Null for top-level locations. Expandable.

Always returned as null in this endpoint.
childrenobjectnullable

Child locations. Expandable.

Always returned as null in this endpoint.
created_atstring (date-time)

Creation timestamp.

updated_atstring (date-time)

Last-updated timestamp.

childrenobjectExpandablenullable

Child locations. Expandable.

objectstringenumValues:list

Object type for Location list

page_infoobject

Pagination metadata for Location list

next_cursorstringnullable

Cursor to fetch the next page, null if no more pages.

prev_cursorstringnullable

Cursor to fetch the previous page, null if on the first page.

has_next_pageboolean

Whether more results exist after this page.

has_prev_pageboolean

Whether results exist before this page.

dataarray of object

Array of Location resources in this page

idstring

Location ID.

objectstringenumValues:location

Resource type identifier.

namestring

Display name.

typestringenumValues:buildingsectionaisle

Location type code.

parentobjectnullable

Parent location. Null for top-level locations. Expandable.

Always returned as null in this endpoint.
childrenobjectnullable

Child locations. Expandable.

Always returned as null in this endpoint.
created_atstring (date-time)

Creation timestamp.

updated_atstring (date-time)

Last-updated timestamp.

created_atstring (date-time)

Creation timestamp.

updated_atstring (date-time)

Last-updated timestamp.

Responses

200

Successful response for List Locations